## ros-indigo-default-cfg-fkie 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(default_cfg_fkie)
find_package(catkin REQUIRED COMPONENTS multimaster_msgs_fkie)

catkin_python_setup()

catkin_package(CATKIN_DEPENDS multimaster_msgs_fkie roslaunch roslib rospy)

install(
    PROGRAMS 
        nodes/default_cfg
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

=== debian/changelog ===
ros-indigo-default-cfg-fkie (0.8.12-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.11-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.10-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.9-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.8-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.7-0trusty) trusty; urgency=high

  * fixed changelog format
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.5-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.4-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.3-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.2-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.1-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.8.0-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.8-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.7-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.6-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.5-0trusty) trusty; urgency=high

  * default_cfg_fkie: store the arguments of default_cfg to parameter server
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.4-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 02 May 2017 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.3-0trusty) trusty; urgency=high

  * default_cfg_fkie: fixed problem with "pass_all_args" attribute
  * fixed warnings in API documentation
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.2-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Jan 2017 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.1-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 25 Jan 2017 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.7.0-0trusty) trusty; urgency=high

  * default_cfg_fkie: fixed start nodes with same name and different namespaces
  * default_cfg_fkie: fix the namespace for rqt-cpp-plugins
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 08 Jan 2017 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.6.2-0trusty) trusty; urgency=high

  * Drop roslib.load_manifest, unneeded with catkin
  * Contributors: Alexander Tiderko, Mike Purvis

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 11 Nov 2016 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.6.1-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Oct 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.6.0-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 11 Oct 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.8-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 09 Sep 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.7-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 06 Sep 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.6-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 31 Aug 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.5-0trusty) trusty; urgency=high

  * multimaster_fkie: changed indent in source code to 4
  * default_cfg_fkie: removed pep8 warnings
  * multimaster_fkie: removed unused imports
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Aug 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.4-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 20 Apr 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.3-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.2-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 30 Mar 2016 22:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.1-0trusty) trusty; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 22 Mar 2016 23:00:00 -0000

ros-indigo-default-cfg-fkie (0.5.0-0trusty) trusty; urgency=high

  * default_cfg_fkie: added 'load_params_at_start' parameter.
    On start of default_cfg_fkie all parameters are loaded into ROS
    parameter server. If this parameter is set to False the parameter are


=== debian/control ===
Source: ros-indigo-default-cfg-fkie
Section: misc
Priority: extra
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-multimaster-msgs-fkie
Homepage: http://ros.org/wiki/default_cfg_fkie
Standards-Version: 3.9.2

Package: ros-indigo-default-cfg-fkie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-multimaster-msgs-fkie, ros-indigo-roslaunch, ros-indigo-roslib, ros-indigo-rospy
Description: The configuration node loads a given launch configuration and offers services to list or start the contained nodes.
 It provides additional description extracted from launch file. This is used by node_manager_fkie.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-default-cfg-fkie//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
